curl --request GET \
--url 'https://api.stateset.com/api/v1/fulfillment/waves' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"total": 102,
"waves": [
{
"completed_pick_count": 1,
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_count": 1,
"pick_count": 1,
"priority": 1,
"status": "pending",
"warehouse_id": 1001,
"wave_number": "string"
}
]
}
List waves
List waves
GET
/
api
/
v1
/
fulfillment
/
waves
curl --request GET \
--url 'https://api.stateset.com/api/v1/fulfillment/waves' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"total": 102,
"waves": [
{
"completed_pick_count": 1,
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_count": 1,
"pick_count": 1,
"priority": 1,
"status": "pending",
"warehouse_id": 1001,
"wave_number": "string"
}
]
}
Query parameters
integer (int32)
string
integer (int32)
integer (int32)
Response
WaveListResponse
integer (int64)
required
WaveResponse[]
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
curl --request GET \
--url 'https://api.stateset.com/api/v1/fulfillment/waves' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"total": 102,
"waves": [
{
"completed_pick_count": 1,
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_count": 1,
"pick_count": 1,
"priority": 1,
"status": "pending",
"warehouse_id": 1001,
"wave_number": "string"
}
]
}
Last modified on August 31, 2026